Bug 127617 - [Usability] "Toggle Fullscreen" should be located in "View" menu instead of "Settings" menu
Summary: [Usability] "Toggle Fullscreen" should be located in "View" menu instead of "...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Usability-Menus (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-18 22:10 UTC by sero4linux
Modified: 2017-08-02 21:08 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sero4linux 2006-05-18 22:10:55 UTC
Version:            (using KDE KDE 3.5.2)

... at least this is where I (and my family members, on whom I did a little statistic research) would expect it. I checked other KDE apps and most of them have it under "Settings" like it is now in digikam. Is this a written KDE standard? Then it might stay that way. Otherwise I think "View" is way more intuitive (user thinks "i want to view my album fullscreen" rather then "I have to change the setting to "fullscreen mode").

No long discussions here though - feel free to close this bug if you think the current location is "better" in some way.
Comment 1 Luka Renko 2007-01-24 15:29:40 UTC
SVN commit 626745 by lure:

Digikam Editor and ShowFoto menu improvements:
- move View menu after Edit menu
- move Full Screen Mode from Settings to View menu

BUG: 140320
CCBUG: 127617


 M  +18 -18    showfoto/showfotoui.rc  
 M  +16 -16    utilities/imageeditor/editor/digikamimagewindowui.rc  


--- trunk/extragear/graphics/digikam/showfoto/showfotoui.rc #626744:626745
@@ -1,5 +1,5 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<gui version="9" name="showfoto" >
+<gui version="10" name="showfoto" >
 
 <MenuBar>
 
@@ -31,6 +31,23 @@
         <Action name="editorwindow_redo" />      
     </Menu>
 
+    <Menu name="View" ><text>&amp;View</text>
+        <Action name="editorwindow_fullscreen" /> 
+        <Separator/>
+        <Action name="editorwindow_zoomplus" />
+        <Action name="editorwindow_zoomminus" />
+        <Action name="editorwindow_zoomfit" /> 
+        <Separator/>
+        <Action name="shofoto_showthumbs" /> 
+        <Action name="editorwindow_histogram" /> 
+        <Separator/>
+        <Action name="editorwindow_slideshow" />
+        <Separator/>
+        <Action name="editorwindow_underexposure" />        
+        <Action name="editorwindow_overexposure" />            
+        <Action name="editorwindow_cmview" />        
+    </Menu>
+
     <Menu name="Image" ><text>&amp;Image</text>
         <Separator/>
     </Menu>
@@ -46,21 +63,6 @@
         <Action name="editorwindow_resize" /> 
     </Menu>
 
-    <Menu name="View" ><text>&amp;View</text>
-        <Action name="editorwindow_zoomplus" />
-        <Action name="editorwindow_zoomminus" />
-        <Action name="editorwindow_zoomfit" /> 
-        <Separator/>
-        <Action name="shofoto_showthumbs" /> 
-        <Action name="editorwindow_histogram" /> 
-        <Separator/>
-        <Action name="editorwindow_slideshow" />
-        <Separator/>
-        <Action name="editorwindow_underexposure" />        
-        <Action name="editorwindow_overexposure" />            
-        <Action name="editorwindow_cmview" />        
-    </Menu>
-
     <Menu name="help" ><text>&amp;Help</text>
         <Action name="editorwindow_imagepluginshelp" />
         <Separator/>
@@ -73,8 +75,6 @@
         <Action name="options_show_toolbar" />
         <Merge name="StandardToolBarMenuHandler" />
         <Separator/>
-        <Action name="editorwindow_fullscreen" /> 
-        <Separator/>
         <Action name="options_configure_keybinding" />
         <Action name="options_configure_toolbars" />
         <Action name="options_configure" />
--- trunk/extragear/graphics/digikam/utilities/imageeditor/editor/digikamimagewindowui.rc #626744:626745
@@ -1,5 +1,5 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<gui version="7" name="digikamimagewindow" >
+<gui version="8" name="digikamimagewindow" >
 
 <MenuBar>
 
@@ -28,20 +28,9 @@
         <Action name="editorwindow_redo" />
     </Menu>
   
-    <Menu name="Image" ><text>&amp;Image</text>
-    </Menu>
-
-    <Menu name="Fix" ><text>Fi&amp;x</text>
-    </Menu>
-
-    <Menu name="Transform" ><text>&amp;Transform</text>
-        <Action name="editorwindow_rotate" /> 
-        <Action name="editorwindow_flip" /> 
-        <Action name="editorwindow_crop" /> 
-        <Action name="editorwindow_resize" /> 
-    </Menu>
-
     <Menu name="View" ><text>&amp;View</text>
+        <Action name="editorwindow_fullscreen" />
+        <Separator/>
         <Action name="editorwindow_zoomplus" /> 
         <Action name="editorwindow_zoomminus" /> 
         <Action name="editorwindow_zoomfit" />
@@ -55,6 +44,19 @@
         <Action name="editorwindow_cmview" />        
     </Menu>
 
+    <Menu name="Image" ><text>&amp;Image</text>
+    </Menu>
+
+    <Menu name="Fix" ><text>Fi&amp;x</text>
+    </Menu>
+
+    <Menu name="Transform" ><text>&amp;Transform</text>
+        <Action name="editorwindow_rotate" /> 
+        <Action name="editorwindow_flip" /> 
+        <Action name="editorwindow_crop" /> 
+        <Action name="editorwindow_resize" /> 
+    </Menu>
+
     <Menu name="help" ><text>&amp;Help</text>
         <Action name="editorwindow_imagepluginshelp" />
         <Separator/>
@@ -67,8 +69,6 @@
         <Action name="options_show_toolbar"/>
         <Merge name="StandardToolBarMenuHandler" />
         <Separator/>
-        <Action name="editorwindow_fullscreen" />
-        <Separator/>
         <Action name="options_configure_keybinding"/>
         <Action name="options_configure_toolbars"/>
         <Action name="options_configure" />        
Comment 2 Luka Renko 2007-01-24 15:38:06 UTC
Similar change has to be done also for Digikam and option should be renamed to "Full Screen Mode" to match Editor/ShowFoto and Konqueror.
Comment 3 Luka Renko 2007-01-24 21:30:26 UTC
SVN commit 626869 by lure:

Full screen action improvement for Digikam:
- move action from Settings menu to View menu
- use KStdAction::fullScreen() on KDE 3.2 or newer (improved toggle support)
- use KToggleAction on older KDE

This makes it consistent with Editor, ShowFoto and other KDE applications.

BUG: 127617


 M  +6 -1      digikamapp.cpp  
 M  +3 -3      digikamui.rc  


--- trunk/extragear/graphics/digikam/digikam/digikamapp.cpp #626868:626869
@@ -736,7 +736,11 @@
                                    "album_thumbSizeDecrease");
     mThumbSizeMinusAction->setWhatsThis(i18n("This option allows you to decrease the Album thumbnails size."));
 
-    mFullScreenAction = new KAction(i18n("Toggle Full Screen"),
+#if KDE_IS_VERSION(3,2,0)
+    mFullScreenAction = KStdAction::fullScreen(this, SLOT(slotToggleFullScreen()),
+                                               actionCollection(), this, "full_screen");
+#else
+    mFullScreenAction = new KToggleAction(i18n("Full Screen Mode"),
                                    "window_fullscreen",
                                    CTRL+SHIFT+Key_F,
                                    this,
@@ -744,6 +748,7 @@
                                    actionCollection(),
                                    "full_screen");
     mFullScreenAction->setWhatsThis(i18n("This option allows you to toggle the main windows in full screen mode."));
+#endif
 
     mQuitAction = KStdAction::quit(this,
                                    SLOT(slot_exit()),
--- trunk/extragear/graphics/digikam/digikam/digikamui.rc #626868:626869
@@ -1,5 +1,5 @@
 <!DOCTYPE kpartgui SYSTEM "kpartgui.dtd">
-<kpartgui version="16" name="digikam" >
+<kpartgui version="17" name="digikam" >
 
  <MenuBar>
 
@@ -59,6 +59,8 @@
 
   <Menu name="View" >
    <text>&amp;View</text>
+     <Action name="full_screen" />
+     <Separator/>
      <Action name="album_thumbSizeIncrease" />
      <Action name="album_thumbSizeDecrease" />
      <Separator />
@@ -88,8 +90,6 @@
      <Action name="options_show_toolbar"/>
      <Merge name="StandardToolBarMenuHandler" />
      <Separator/>
-     <Action name="full_screen" />
-     <Separator/>
      <Action name="theme_menu" />
      <Action name="options_configure_keybinding"/>
      <Action name="options_configure_toolbars"/>